Skip to main content
Avalara Help Center

How do I resolve 'Error while subscribing to QuickBooks events. The version of QBXML that was requested is not support or is unknown."?

Overview

You are trying to install AvaTax and receive "Error while subscribing to QuickBooks events. Function Name = DoSubscribeEvents 80040423. The version of QBXML that was requested is not supported or is unknown. Please login using Administrator Privileges and try again."

Environment

QuickBooks Desktop

Resolution

  • We have reached out to Intuit about this issue and it's mostly related to a corrupted QuickBooks Desktop installation

  • We suggest uninstalling and re-installing QuickBooks, then check if the issue still persists

    • If you still see the error, please reach out to your Quickbooks representative or Intuit Technical Support